Bug 111943 - badblocks in swap
badblocks in swap
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: util-linux (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 15:41 EST by William C. Mount
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-15 14:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William C. Mount 2003-12-11 15:41:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; 
T312461)

Description of problem:
We currently have over 200 machines.  Spanning from RedHat 7.3, 
Redhat 9, AS2.1, AS3, ES3.  On approximately 80% of them, we get 
badblocks reported on swap partitions.  This is regardless of OS 
version, kernel version.  We get this on both IDE and SCSI drives.  
Raid0 array's, raid5 arrays.  We see the last 2 to 4 blocks on any 
swap partition anywhere on the disk shows up bad.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.create a swap partition
2.mkswap
3.active it
4.badblocks /dev/?da3
    

Actual Results:  will show last 2 to 4 blocks.

Additional info:
Comment 1 Elliot Lee 2004-01-15 14:29:19 EST
Don't run badblocks on a partition that is currently in use.

Note You need to log in before you can comment on or make changes to this bug.